<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Navigator/XHXNavigator.h 源文件</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_navigator_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">XHXNavigator.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_x_h_x_navigator_8h.html">浏览该文件的文档.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">//  XHXNavigator.h</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//  KKLOnLine</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//  Created by Leovir on 2018/5/18.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">//  Copyright © 2018年 mistong. All rights reserved.</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#import &lt;Foundation/Foundation.h&gt;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#import &lt;UIKit/UIKit.h&gt;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="interface_x_h_x_navigator.html">   12</a></span>&#160;<span class="keyword">@interface </span><a class="code" href="interface_x_h_x_navigator.html">XHXNavigator</a> : NSObject</div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160; </div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#pragma mark ==================  返回根视图 根Window 顶层window   ==================</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//获取rootviewcontroller</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;+ (UIViewController *)<a class="code" href="interface_x_h_x_navigator.html#a1ab38ab3ebac8021bf5ebad00d76d203">rootViewController</a>;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//获取appdelegate的window</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;+ (UIWindow *)<a class="code" href="interface_x_h_x_navigator.html#ac4ee4d0dd9d4258a7388d48bd416c528">rootWindow</a>;</div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//最顶层的window</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;+ (UIWindow *)<a class="code" href="interface_x_h_x_navigator.html#ae092b2e06c16c8dc6f01988ad1886a50">topWindow</a>;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">//keywindow</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;+ (UIWindow *)<a class="code" href="interface_x_h_x_navigator.html#acc91401082b35660f529465910e26577">keyWindow</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#pragma mark ==================  返回当前控制器  和 导航控制器  ==================</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;+ (UIViewController *)<a class="code" href="interface_x_h_x_navigator.html#a2386702d61e0ba8a8c3ded4c36aee1fc">currentViewController</a>;</div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;+ (UINavigationController *)<a class="code" href="interface_x_h_x_navigator.html#a5cf12ce028b8a0156c3cfd997f7c32b1">currentNavigationController</a>;</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#pragma mark ==================  push viewController  ==================</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;+ (void)pushViewController:(UIViewController *)viewController animated:(BOOL)animated;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#pragma mark ==================  present viewController  ==================</span></div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160; </div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;+ (void)presentViewController:(UIViewController *)viewController animated:(BOOL)animated;</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;+ (void)presentViewController:(UIViewController *)viewController animated:(BOOL)animated completion:(<span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))completion;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#pragma mark ==================  pop   ==================</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160; </div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;+ (void)popViewControllerWithTimes:(NSUInteger)times animated:(BOOL)animated;</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160; </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;+ (void)popToRootViewControllerAnimated:(BOOL)animated;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="preprocessor">#pragma mark ==================  dismiss   ==================</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;+ (void)dismissViewControllerTimes:(NSUInteger)times animated:(BOOL)animated completion:(<span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))completion;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;+ (void)dismissToRootViewControllerAnimated:(BOOL)animated completion:(<span class="keywordtype">void</span> (^)(<span class="keywordtype">void</span>))completion;</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="keyword">@end</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="ainterface_x_h_x_navigator_html"><div class="ttname"><a href="interface_x_h_x_navigator.html">XHXNavigator</a></div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_navigator_8h_source.html#l00012">XHXNavigator.h:13</a></div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_acc91401082b35660f529465910e26577"><div class="ttname"><a href="interface_x_h_x_navigator.html#acc91401082b35660f529465910e26577">+[XHXNavigator keyWindow]</a></div><div class="ttdeci">UIWindow * keyWindow()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_navigator_8m_source.html#l00001">XHXNavigator.m:29</a></div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_a5cf12ce028b8a0156c3cfd997f7c32b1"><div class="ttname"><a href="interface_x_h_x_navigator.html#a5cf12ce028b8a0156c3cfd997f7c32b1">+[XHXNavigator currentNavigationController]</a></div><div class="ttdeci">UINavigationController * currentNavigationController()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_navigator_8m_source.html#l00001">XHXNavigator.m:38</a></div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_a2386702d61e0ba8a8c3ded4c36aee1fc"><div class="ttname"><a href="interface_x_h_x_navigator.html#a2386702d61e0ba8a8c3ded4c36aee1fc">+[XHXNavigator currentViewController]</a></div><div class="ttdeci">UIViewController * currentViewController()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_navigator_8m_source.html#l00001">XHXNavigator.m:34</a></div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_a1ab38ab3ebac8021bf5ebad00d76d203"><div class="ttname"><a href="interface_x_h_x_navigator.html#a1ab38ab3ebac8021bf5ebad00d76d203">+[XHXNavigator rootViewController]</a></div><div class="ttdeci">UIViewController * rootViewController()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_navigator_8m_source.html#l00001">XHXNavigator.m:14</a></div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_ac4ee4d0dd9d4258a7388d48bd416c528"><div class="ttname"><a href="interface_x_h_x_navigator.html#ac4ee4d0dd9d4258a7388d48bd416c528">+[XHXNavigator rootWindow]</a></div><div class="ttdeci">UIWindow * rootWindow()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_navigator_8m_source.html#l00001">XHXNavigator.m:19</a></div></div>
<div class="ttc" id="ainterface_x_h_x_navigator_html_ae092b2e06c16c8dc6f01988ad1886a50"><div class="ttname"><a href="interface_x_h_x_navigator.html#ae092b2e06c16c8dc6f01988ad1886a50">+[XHXNavigator topWindow]</a></div><div class="ttdeci">UIWindow * topWindow()</div><div class="ttdef"><b>Definition:</b> <a href="_x_h_x_navigator_8m_source.html#l00001">XHXNavigator.m:24</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_c683ecabd5318f1fea2b09a69539a2dd.html">Navigator</a></li><li class="navelem"><a class="el" href="_x_h_x_navigator_8h.html">XHXNavigator.h</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
